Bug 637056 - rebase dovecot to 2.0 final
rebase dovecot to 2.0 final
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dovecot (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Michal Hlavinka
qe-baseos-daemons
: Rebase
Depends On: 576891
Blocks: 494837
  Show dependency treegraph
 
Reported: 2010-09-24 02:56 EDT by Michal Hlavinka
Modified: 2011-05-19 07:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Reduced changelog: - IMAP: Fixed LIST-STATUS when listing subscriptions with subscriptions=no namespaces. - IMAP: Fixed SELECT QRESYNC not to crash on mailbox close if a lot of changes were being sent. - quota: Don't count virtual mailboxes in quota - doveadm expunge didn't always actually do the physical expunging - Pre-login CAPABILITY includes IDLE again. Mainly to make Blackberry servers happy. - auth: auth_cache_negative_ttl default was 0 in earlier v2.0.x, but it was supposed to be 1 hour as in v1.x. Changed it back to 1h. - doveadm: Added import command for importing mails from other storages. - Reduced NFS I/O operations for index file accesses - dbox, Maildir: When copying messages, copy also already cached fields from dovecot.index.cache - Maildir: LDA/LMTP assert-crashed sometimes when saving a mail. - Fixed leaking fds when writing to dovecot.mailbox.log. - Fixed rare dovecot.index.cache corruption - IMAP: SEARCH YOUNGER/OLDER wasn't working correctly - acl: Fixed the logic of merging multiple ACL entries - sdbox: Fixed memory leak when copying messages with hard links. - zlib: Fixed several crashes, which mainly showed up with mbox. - quota: Don't crash if user has quota disabled, but plugin loaded. - acl: Fixed crashing when sometimes listing shared mailboxes via dict proxy. - multi-dbox: If :INDEX=path is specified, keep storage/dovecot.map.index* files also in the index path rather than in the main storage directory. - dict file: Fixed fd leak (showed up easily with LMTP + quota) - dovecot-lda: Removed use of non-standard Envelope-To: header as a default for -a - maildir: Fixed "duplicate uidlist entry" errors that happened at least with LMTP when mail was delivered to multiple recipients - Deleting ACLs didn't cause entries to be removed from acl_shared_dict - mail_max_lock_timeout setting wasn't working with all locks - IMAP: QRESYNC parameters for SELECT weren't handled correctly. - UTF-8 string validity checking wasn't done correctly - dsync: Fixed a random assert-crash with remote dsyncing - Shared INBOX wasn't always listed with FS layout - mbox: Fixed a couple of assert-crashes - mdbox: Fixed potential assert-crash when saving multiple messages in one transaction
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 07:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 4 Aliet 2010-11-21 12:16:45 EST
It would be great this, please rebase to dovecot 2.0.7 latest stable version, anyway dovecot is very stable and Timo does a great job on this. Is not nice to have package-beta in rhel, specially if is out there the stable final version.
Dovecot 2.0.1-7 have many feature fixes, director stuff etc.
Have not checked but I saw dovecot-pigeonhole, not sure if this support managesieve but it would be great to have this feature also. 
best regards
Comment 6 Michal Hlavinka 2010-11-22 07:36:35 EST
(In reply to comment #4)
> Have not checked but I saw dovecot-pigeonhole, not sure if this support
> managesieve but it would be great to have this feature also. 
> best regards

pigeonhole is new extension that was created by merging both -sieve and -managesieve, so managesieve support is there
Comment 9 Radek Vokal 2011-01-03 08:26:22 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Reduced changelog:
- IMAP: Fixed LIST-STATUS when listing subscriptions with subscriptions=no namespaces.
- IMAP: Fixed SELECT QRESYNC not to crash on mailbox close if a lot of changes were being sent.
- quota: Don't count virtual mailboxes in quota
- doveadm expunge didn't always actually do the physical expunging

- Pre-login CAPABILITY includes IDLE again. Mainly to make Blackberry servers happy.
- auth: auth_cache_negative_ttl default was 0 in earlier v2.0.x, but it was supposed to be 1 hour as in v1.x. Changed it back to 1h.
- doveadm: Added import command for importing mails from other storages.
- Reduced NFS I/O operations for index file accesses
- dbox, Maildir: When copying messages, copy also already cached fields from dovecot.index.cache
- Maildir: LDA/LMTP assert-crashed sometimes when saving a mail.
- Fixed leaking fds when writing to dovecot.mailbox.log.
- Fixed rare dovecot.index.cache corruption
- IMAP: SEARCH YOUNGER/OLDER wasn't working correctly

- acl: Fixed the logic of merging multiple ACL entries
- sdbox: Fixed memory leak when copying messages with hard links.
- zlib: Fixed several crashes, which mainly showed up with mbox.
- quota: Don't crash if user has quota disabled, but plugin loaded.
- acl: Fixed crashing when sometimes listing shared mailboxes via dict proxy.

- multi-dbox: If :INDEX=path is specified, keep storage/dovecot.map.index* files also in the index path rather than in the main storage directory.
- dict file: Fixed fd leak (showed up easily with LMTP + quota)

- dovecot-lda: Removed use of non-standard Envelope-To: header as a default for -a

- maildir: Fixed "duplicate uidlist entry" errors that happened at least with LMTP when mail was delivered to multiple recipients
- Deleting ACLs didn't cause entries to be removed from acl_shared_dict
- mail_max_lock_timeout setting wasn't working with all locks

- IMAP: QRESYNC parameters for SELECT weren't handled correctly.
- UTF-8 string validity checking wasn't done correctly
- dsync: Fixed a random assert-crash with remote dsyncing

- Shared INBOX wasn't always listed with FS layout

- mbox: Fixed a couple of assert-crashes
- mdbox: Fixed potential assert-crash when saving multiple messages in one transaction
Comment 13 Davide Brunato 2011-03-03 06:08:19 EST
I just want to ask if the rebase of dovecot to 2.0 final is previewed before the 6.1 release of RHEL.
Comment 14 Michal Hlavinka 2011-03-03 06:42:24 EST
There is no preview of any package before release. If you want package for *testing* before GA (because unreleased packages are not supported), contact customer support at https://access.redhat.com/support/
Comment 15 Ondrej Vasik 2011-03-03 07:33:03 EST
Or - if you are able to get bits from public beta via RHN, you could get it there once the public beta will be available. Not recommended for production machines, just for testing ...
Comment 17 errata-xmlrpc 2011-05-19 07:47:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0600.html

Note You need to log in before you can comment on or make changes to this bug.